Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class PdsDirectory

    java.lang.Object
      com.ibm.jzos.PdsDirectory

    public class PdsDirectory

extends java.lang.Object

A class for opening a PDS directory and iterating over its members. This class also supports PDSE directories processed in compatability mode.

Note: this class does not support reading concatenated partitioned dataset directories, since the C IO libary seems to return "EOF" after the first directory is read.

Nested Class Summary
`static class` | `PdsDirectory.MemberInfo` A static inner class of PdsDirectory which defines/maps a member directory entry.

Constructor Summary
`PdsDirectory(java.lang.String pdsName)` Open a ZFile with the given name as a PDS directory.

Method Summary
`void` | `close()` Close the underlying ZFile on the PDS directory
`java.util.Iterator` | `iterator()` Answer an `Iterator` over the PDS directory, which returns a `PdsDirectory.MemberInfo` object for each entry in the directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdsDirectory

    public PdsDirectory(java.lang.String pdsName)
                 throws java.io.IOException

  Open a ZFile with the given name as a PDS directory.

  Parameters:
    `pdsName` - the name given to open the ZFile
  Throws:
    `java.io.IOException` - if the PDS can't be opened with RECFM=U,BLKSIZE=256, or if its DSORG is not PDS_DIR.
  See Also:
    `ZFile`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Close the underlying ZFile on the PDS directory

  Throws:
    `java.io.IOException` - as possibly thrown from ZFile.close()

### iterator

    public java.util.Iterator iterator()

  Answer an `Iterator` over the PDS directory, which returns a `PdsDirectory.MemberInfo` object for each entry in the directory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD